Skip to main content
All cloud API endpoints require authentication via either a web session or an API token (PAK). For PAK authentication, include:
  • Authorization: Bearer obk_your-token
  • X-Team-Id: your-team-uuid

List tasks

GET /api/tasks
Returns all tasks for the authenticated team.

Create a task

POST /api/tasks
title
string
required
Task title
description
string
Task description
status
string
default:"backlog"
Task status
priority
string
default:"medium"
Priority level
labels
string[]
Label array
requesters
string[]
Requester identifiers
dedupe_key
string
Deduplication key

Get a task

GET /api/tasks/:id

Update a task

PATCH /api/tasks/:id

Delete a task

DELETE /api/tasks/:id

List task comments

GET /api/tasks/:id/comments

Add a task comment

POST /api/tasks/:id/comments
body
string
required
Comment text